Update a trailer. Note this implementation of patch uses the JSON merge patch proposed standard. This means that any fields included in the patch request will overwrite fields which exist on the target resource. For arrays, this means any array included in the request will replace the array that exists at the specified path, it will not add to the existing array
Rate limit: 100 requests/min (learn more about rate limits here).
To use this endpoint, select Write Trailers under the Trailers category when creating or editing an API token. Learn More.
Submit Feedback: Likes, dislikes, and API feature requests should be filed as feedback in our API feedback form. If you encountered an issue or noticed inaccuracies in the API documentation, please submit a case to our support team.
curl --request PATCH \
--url https://api.samsara.com/fleet/trailers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"attributes": [
{
"dateValues": [
"2024-01-15",
"2024-12-31"
],
"id": "494123",
"name": "Compliance/ELD",
"numberValues": [
867,
5309
],
"stringValues": [
"HQ",
"Leased"
]
}
],
"enabledForMobile": true,
"externalIds": {},
"licensePlate": "7TYP290",
"name": "Trailer-123",
"notes": "These are my trailer notes",
"odometerMeters": 1234,
"tagIds": [
"Qui quia quam quam vel voluptas.",
"Nihil vitae modi accusamus est.",
"Eos dolor magni mollitia.",
"A sequi."
],
"trailerSerialNumber": "8V8WD530FLN016251"
}
'{
"data": {
"id": "494123",
"attributes": [
{
"dateValues": [
"2024-01-15",
"2024-12-31"
],
"id": "494123",
"name": "Compliance/ELD",
"numberValues": [
867,
5309
],
"stringValues": [
"HQ",
"Leased"
]
}
],
"enabledForMobile": true,
"externalIds": {},
"installedGateway": {
"model": "VG34",
"serial": "GFRV-43N-VGX"
},
"licensePlate": "7TYP290",
"name": "Trailer-123",
"notes": "These are my trailer notes",
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
],
"trailerSerialNumber": "8V8WD530FLN016251"
}
}Documentation Index
Fetch the complete documentation index at: https://samsara-showcase.mintlify.app/llms.txt
Use this file to discover all available pages before exploring further.
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
ID of the trailer. Can be either unique Samsara ID or an external ID for the trailer.
A list of attributes to assign to the trailer.
Show child attributes
Indicates if the trailer is visible on the Samsara mobile apps.
true
A map of external ids
Show child attributes
The license plate of the Trailer. By default: empty. Can be set or updated through the Samsara Dashboard or the API at any time.
12"7TYP290"
The human-readable name of the Trailer. This is set by a fleet administrator and will appear in both Samsara’s cloud dashboard as well as the Samsara Driver mobile app. By default, this name is the serial number of the Samsara Asset Gateway. It can be set or updated through the Samsara Dashboard or through the API at any time.
"Trailer-123"
These are generic notes about the Trailer. Empty by default. Can be set or updated through the Samsara Dashboard or the API at any time.
255"These are my trailer notes"
When you provide a manual odometer override, Samsara will begin updating a trailer's odometer using GPS distance traveled since this override was set. Only applies to trailers installed with Samsara gateways.
1234
An array of IDs of tags to associate with this trailer. If your access to the API is scoped by one or more tags, this field is required to pass in.
[
"Qui quia quam quam vel voluptas.",
"Nihil vitae modi accusamus est.",
"Eos dolor magni mollitia.",
"A sequi."
]The serial number of the trailer.
"8V8WD530FLN016251"
OK response.
Show child attributes
curl --request PATCH \
--url https://api.samsara.com/fleet/trailers/{id} \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"attributes": [
{
"dateValues": [
"2024-01-15",
"2024-12-31"
],
"id": "494123",
"name": "Compliance/ELD",
"numberValues": [
867,
5309
],
"stringValues": [
"HQ",
"Leased"
]
}
],
"enabledForMobile": true,
"externalIds": {},
"licensePlate": "7TYP290",
"name": "Trailer-123",
"notes": "These are my trailer notes",
"odometerMeters": 1234,
"tagIds": [
"Qui quia quam quam vel voluptas.",
"Nihil vitae modi accusamus est.",
"Eos dolor magni mollitia.",
"A sequi."
],
"trailerSerialNumber": "8V8WD530FLN016251"
}
'{
"data": {
"id": "494123",
"attributes": [
{
"dateValues": [
"2024-01-15",
"2024-12-31"
],
"id": "494123",
"name": "Compliance/ELD",
"numberValues": [
867,
5309
],
"stringValues": [
"HQ",
"Leased"
]
}
],
"enabledForMobile": true,
"externalIds": {},
"installedGateway": {
"model": "VG34",
"serial": "GFRV-43N-VGX"
},
"licensePlate": "7TYP290",
"name": "Trailer-123",
"notes": "These are my trailer notes",
"tags": [
{
"id": "3914",
"name": "East Coast",
"parentTagId": "4815"
}
],
"trailerSerialNumber": "8V8WD530FLN016251"
}
}